// File: blndfunc.h
// Auth: Brian Allen Vanderburg II
// Date: Tuesday, December 16, 2003
// Desc: blend functions and definitions

#ifndef __BLNDFUNC_H
#define __BLNDFUNC_H

// Includes
#include "filter.h"

// Function type to do blending
typedef void (__cdecl *BlendFunc)(unsigned char t_r, unsigned char t_g, unsigned char t_b,
								  unsigned char b_r, unsigned char b_g, unsigned char b_b,
								  unsigned char *d_r, unsigned char *d_g, unsigned char *d_b,
								  int x, int y, int w, int h, long frame,
								  int ext1, int ext2, unsigned char *data);

// Type to start up the blend function
typedef int (__cdecl *BlendStartFunc)(unsigned char *data, int ext1, int ext2, int w, int h);

// Blend method information
typedef struct _BlendMethod
	{
	char *name;
	BlendFunc func;
	char *ext1;
	char *ext2;
	BlendStartFunc startfunc;
	} BlendMethod;


// Defines for filter blending
#define BLEND_NORMAL 0 // Default blending method


extern BlendMethod blendMethods[];



#endif // __BLNDFUNC_H